﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RSAID;

namespace TestRSAID
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestValidatedRSAID()
        {
            var id = new ValidatedRSAID("7304105297088");
            Assert.IsTrue(id.IsValid);
            Assert.AreEqual(id.DateOfBirth, new DateTime(1973,04,10));
            Assert.AreEqual(id.Gender, Gender.Male);
        }
    }
}
